<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

use Carbon_Fields\Field\Field;
use Gigneo\Post_Meta\Serialized;

$gigneo_additional_fields[] = Field::make( 'complex', 'gigneo_pm_addons', esc_html__( 'Add-ons', 'gigneo' ) )
						->set_datastore( new Serialized() )
						->add_fields(
							array(
								Field::make( 'text', 'title', esc_html__( 'Title', 'gigneo' ) ),
								Field::make( 'text', 'price', esc_html__( 'Price', 'gigneo' ) )
									->set_attribute( 'data-regex', '^[0-9]+$' ),
								Field::make( 'text', 'delivery_time', esc_html__( 'Delivery time', 'gigneo' ) )
									->set_attribute( 'data-regex', '^[0-9]+$' )
									->set_default_value( 1 ),
								Field::make( 'select', 'time_type', esc_html__( 'Delivery time type', 'gigneo' ) )
									->set_classes( 'gn-select2' )
									->set_options( gigneo_delivery_time_types() ),
								Field::make( 'textarea', 'description', esc_html__( 'Description', 'gigneo' ) )
									->set_classes( 'gn-pm-field-full' ),
							)
						)
						->set_header_template( '<%- title %>' )
						->set_collapsed( true );

$gigneo_additional_fields[] = Field::make( 'complex', 'gigneo_pm_faqs', esc_html__( 'FAQs', 'gigneo' ) )
	->set_datastore( new Serialized() )
	->add_fields(
		array(
			Field::make( 'text', 'question', esc_html__( 'Question', 'gigneo' ) ),
			Field::make( 'textarea', 'answer', esc_html__( 'Answer', 'gigneo' ) ),
		)
	)
	->set_header_template( '<%- question %>' )
	->set_collapsed( true );
